--    Program: 		CAPARIMP_REMIT_TO_ADDRESS.sql
--    Description:  Import AR Remit-To Address information 
--    Revision:     1st     
--    Parameter: 	

set doc off;      
set verify off;
set serveroutput on size 1000000;
--whenever sqlerror exit failure rollback;

declare   
   l_processed_count		number;
   l_rejected_count 		number;
   l_err_msg				varchar2(2000);
   l_err_msg_tmp			varchar2(2000);
   
   cursor cur_addr is
      select * from CRST_RA_REMIT_TOS_ALL;

begin
   l_processed_count := 0;
   l_rejected_count  := 0;
   l_err_msg := '';
   
   for cur in cur_addr loop   	
     l_err_msg_tmp := ''; 
     
     begin
       -- import data
       insert into RA_REMIT_TOS_ALL
       (
         ADDRESS_ID          ,
         LAST_UPDATE_DATE    ,
         LAST_UPDATED_BY     ,
         CREATION_DATE       ,
         CREATED_BY          ,
         LAST_UPDATE_LOGIN   ,
         STATUS              ,
         COUNTRY             ,
         STATE               ,
         ATTRIBUTE_CATEGORY  ,
         ATTRIBUTE1          ,
         ATTRIBUTE2          ,
         ATTRIBUTE3          ,
         ATTRIBUTE4          ,
         ATTRIBUTE5          ,
         ATTRIBUTE6          ,
         ATTRIBUTE7          ,
         ATTRIBUTE8          ,
         ATTRIBUTE9          ,
         ATTRIBUTE10         ,
         ATTRIBUTE11         ,
         ATTRIBUTE12         ,
         ATTRIBUTE13         ,
         ATTRIBUTE14         ,
         ATTRIBUTE15         ,
         POSTAL_CODE_HIGH    ,
         POSTAL_CODE_LOW     ,
         ORG_ID              
       )
       values
       (
         CAPARIMP_MAPPING.GetHZCustAcctSiteIDMapping(cur.ADDRESS_ID),
         cur.LAST_UPDATE_DATE    ,
         CAPBRIMP_MAPPING.GetUserMapping(cur.LAST_UPDATED_BY),
         cur.CREATION_DATE       ,
         CAPBRIMP_MAPPING.GetUserMapping(cur.CREATED_BY),
         cur.LAST_UPDATE_LOGIN   ,
         cur.STATUS              ,
         cur.COUNTRY             ,
         cur.STATE               ,
         cur.ATTRIBUTE_CATEGORY  ,
         cur.ATTRIBUTE1          ,
         cur.ATTRIBUTE2          ,
         cur.ATTRIBUTE3          ,
         cur.ATTRIBUTE4          ,
         cur.ATTRIBUTE5          ,
         cur.ATTRIBUTE6          ,
         cur.ATTRIBUTE7          ,
         cur.ATTRIBUTE8          ,
         cur.ATTRIBUTE9          ,
         cur.ATTRIBUTE10         ,
         cur.ATTRIBUTE11         ,
         cur.ATTRIBUTE12         ,
         cur.ATTRIBUTE13         ,
         cur.ATTRIBUTE14         ,
         cur.ATTRIBUTE15         ,
         cur.POSTAL_CODE_HIGH    ,
         cur.POSTAL_CODE_LOW     ,
         CAPBRIMP_MAPPING.GetOrgMapping(cur.ORG_ID)
       );
     exception
       when others then
     	 l_err_msg_tmp := sqlerrm;
     end;	  	    
     
     if l_err_msg_tmp = '' then
       l_processed_count := l_processed_count + 1;  
     else
       l_rejected_count := l_rejected_count + 1;
       l_err_msg := l_err_msg_tmp; 
     end if;  	  
   end loop;
   
      if l_rejected_count <> 0 then
   	 commit;
   else
     rollback;
   end if;
   
   -- insert into log table
   insert into capcnv_log ( prog_id,process_date, record_processed,record_rejected,record_extracted,err_msg) 
    values ('CAPARIMP_REMIT_TO_ADDRESS', sysdate, l_processed_count, l_rejected_count, l_processed_count-l_rejected_count, l_err_msg );
   
   commit;
exception 
  when others then
    dbms_output.put_line(sqlerrm);
    rollback;  
end;
/


--exit